summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
authormathieui <mathieui@mathieui.net>2011-11-08 02:31:44 +0100
committermathieui <mathieui@mathieui.net>2011-11-08 02:31:44 +0100
commitb26c9e33af5da5ddf8956a7269cbe06be2ccea6a (patch)
tree1cd0b93401101a43ea1e3e9f9631fcb95bb86925 /update.sh
parentd83eda6fd4fc74d5bedb1ca860c1015e7e0d3732 (diff)
downloadpoezio-b26c9e33af5da5ddf8956a7269cbe06be2ccea6a.tar.gz
poezio-b26c9e33af5da5ddf8956a7269cbe06be2ccea6a.tar.bz2
poezio-b26c9e33af5da5ddf8956a7269cbe06be2ccea6a.tar.xz
poezio-b26c9e33af5da5ddf8956a7269cbe06be2ccea6a.zip
Add make in the update.sh
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/update.sh b/update.sh
index 510bbb07..c2dba40e 100755
--- a/update.sh
+++ b/update.sh
@@ -9,6 +9,15 @@
echo 'Updating poezio'
git pull origin master
+make
+if [ $? -ne 0 ]
+then
+ echo -e "It seems that you do not have the python development"\
+ "files.\nSearch for a package named python3-dev or python3-devel"\
+ "in your repos."
+ exit -1
+fi
+
if [ -e "SleekXMPP" ]
then
echo "Updating SleekXMPP"